Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_bg.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_bg.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_bg.ts	(revision 105902)
@@ -3124,8 +3124,4 @@
         <source>Network</source>
         <translation type="unfinished">Мрежа</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">Портове</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ca.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ca.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ca.ts	(revision 105902)
@@ -2523,8 +2523,4 @@
     </message>
     <message>
-        <source>Ports</source>
-        <translation type="unfinished">Ports</translation>
-    </message>
-    <message>
         <source>Serial Ports</source>
         <translation type="unfinished">Ports en sèrie</translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ca_VA.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ca_VA.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ca_VA.ts	(revision 105902)
@@ -3060,8 +3060,4 @@
         <source>Network</source>
         <translation type="unfinished">Xarxa</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">Ports</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_cs.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_cs.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_cs.ts	(revision 105902)
@@ -3099,8 +3099,4 @@
         <source>Network</source>
         <translation type="unfinished">Síť</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">Porty</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_da.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_da.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_da.ts	(revision 105902)
@@ -2609,8 +2609,4 @@
     </message>
     <message>
-        <source>Ports</source>
-        <translation type="unfinished">Porte</translation>
-    </message>
-    <message>
         <source>Serial Ports</source>
         <translation type="unfinished">Serielle porte</translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_de.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_de.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_de.ts	(revision 105902)
@@ -2885,8 +2885,4 @@
         <source>Network</source>
         <translation type="unfinished">Netzwerk</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">Ports</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_el.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_el.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_el.ts	(revision 105902)
@@ -2492,8 +2492,4 @@
     </message>
     <message>
-        <source>Ports</source>
-        <translation type="unfinished">Θύρες</translation>
-    </message>
-    <message>
         <source>Serial Ports</source>
         <translation type="unfinished">Σειριακές Θύρες</translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_es.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_es.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_es.ts	(revision 105902)
@@ -3538,8 +3538,4 @@
         <source>Network</source>
         <translation type="unfinished">Red</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">Puertos</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_eu.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_eu.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_eu.ts	(revision 105902)
@@ -2879,8 +2879,4 @@
     </message>
     <message>
-        <source>Ports</source>
-        <translation type="unfinished">Atakak</translation>
-    </message>
-    <message>
         <source>Serial Ports</source>
         <translation type="unfinished">Serieko Atakak</translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_fa.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_fa.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_fa.ts	(revision 105902)
@@ -2980,8 +2980,4 @@
     </message>
     <message>
-        <source>Ports</source>
-        <translation type="unfinished">پورت ها</translation>
-    </message>
-    <message>
         <source>Serial Ports</source>
         <translation type="unfinished">پورت سریال</translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_fi.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_fi.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_fi.ts	(revision 105902)
@@ -2735,8 +2735,4 @@
         <source>Network</source>
         <translation type="unfinished">Verkko</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">Portit</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_fr.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_fr.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_fr.ts	(revision 105902)
@@ -3352,8 +3352,4 @@
     </message>
     <message>
-        <source>Ports</source>
-        <translation type="unfinished">Ports</translation>
-    </message>
-    <message>
         <source>Serial Ports</source>
         <translation type="unfinished">Ports séries</translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_gl.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_gl.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_gl.ts	(revision 105902)
@@ -2709,8 +2709,4 @@
         <source>Network</source>
         <translation type="unfinished">Rede</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">Portos</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_he.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_he.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_he.ts	(revision 105902)
@@ -2593,8 +2593,4 @@
         <source>Network</source>
         <translation type="unfinished">רשת</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">פורטים</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_hr_HR.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_hr_HR.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_hr_HR.ts	(revision 105902)
@@ -2504,8 +2504,4 @@
     </message>
     <message>
-        <source>Ports</source>
-        <translation type="unfinished">Priključci</translation>
-    </message>
-    <message>
         <source>Serial Ports</source>
         <translation type="unfinished">Serijski Priključci</translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_hu.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_hu.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_hu.ts	(revision 105902)
@@ -3416,8 +3416,4 @@
         <source>Network</source>
         <translation type="unfinished">Hálózat</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">Portok</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_id.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_id.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_id.ts	(revision 105902)
@@ -3386,8 +3386,4 @@
         <source>Network</source>
         <translation type="unfinished">Jaringan</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">Port</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_it.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_it.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_it.ts	(revision 105902)
@@ -2380,8 +2380,4 @@
     </message>
     <message>
-        <source>Ports</source>
-        <translation>Porte</translation>
-    </message>
-    <message>
         <source>Serial Ports</source>
         <translation>Porte seriali</translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ja.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ja.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ja.ts	(revision 105902)
@@ -3570,8 +3570,4 @@
         <source>Network</source>
         <translation type="unfinished">ネットワーク</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">ポート</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ka.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ka.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ka.ts	(revision 105902)
@@ -2470,8 +2470,4 @@
     </message>
     <message>
-        <source>Ports</source>
-        <translation type="unfinished">პორტები</translation>
-    </message>
-    <message>
         <source>Serial Ports</source>
         <translation type="unfinished">სერიული პორტები</translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_km_KH.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_km_KH.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_km_KH.ts	(revision 105902)
@@ -2680,8 +2680,4 @@
         <source>Network</source>
         <translation type="unfinished">បណ្ដាញ</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">ច្រក</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ko.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ko.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ko.ts	(revision 105902)
@@ -2562,8 +2562,4 @@
     </message>
     <message>
-        <source>Ports</source>
-        <translation type="unfinished">포트</translation>
-    </message>
-    <message>
         <source>Serial Ports</source>
         <translation type="unfinished">직렬 포트</translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_lt.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_lt.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_lt.ts	(revision 105902)
@@ -3002,8 +3002,4 @@
     </message>
     <message>
-        <source>Ports</source>
-        <translation type="unfinished">Prievadai</translation>
-    </message>
-    <message>
         <source>Serial Ports</source>
         <translation type="unfinished">Nuoseklieji prievadai</translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_nl.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_nl.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_nl.ts	(revision 105902)
@@ -2391,8 +2391,4 @@
     </message>
     <message>
-        <source>Ports</source>
-        <translation>Poorten</translation>
-    </message>
-    <message>
         <source>Serial Ports</source>
         <translation>Seriële poorten</translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_pl.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_pl.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_pl.ts	(revision 105902)
@@ -2970,8 +2970,4 @@
         <source>Network</source>
         <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">Porty</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_pt.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_pt.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_pt.ts	(revision 105902)
@@ -2896,8 +2896,4 @@
         <source>Network</source>
         <translation type="unfinished">Rede</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished"></translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_pt_BR.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_pt_BR.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_pt_BR.ts	(revision 105902)
@@ -3638,8 +3638,4 @@
         <source>Network</source>
         <translation type="unfinished">Rede</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">Portas</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ro.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ro.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ro.ts	(revision 105902)
@@ -2782,8 +2782,4 @@
         <source>Network</source>
         <translation type="unfinished">Rețea</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">Porturi</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ru.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ru.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ru.ts	(revision 105902)
@@ -3487,8 +3487,4 @@
         <source>Network</source>
         <translation type="unfinished">Сеть</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">Порты</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_sk.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_sk.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_sk.ts	(revision 105902)
@@ -2856,8 +2856,4 @@
         <source>Network</source>
         <translation type="unfinished">Sieť</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">Porty</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_sl.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_sl.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_sl.ts	(revision 105902)
@@ -2672,8 +2672,4 @@
     </message>
     <message>
-        <source>Ports</source>
-        <translation type="unfinished">Vrata</translation>
-    </message>
-    <message>
         <source>Serial Ports</source>
         <translation type="unfinished">Zaporedna vrata</translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_sr.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_sr.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_sr.ts	(revision 105902)
@@ -2811,8 +2811,4 @@
         <source>Network</source>
         <translation type="unfinished">Мрежа</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">Портови</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_sv.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_sv.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_sv.ts	(revision 105902)
@@ -3040,8 +3040,4 @@
         <source>Network</source>
         <translation type="unfinished">Nätverk</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">Portar</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_th.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_th.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_th.ts	(revision 105902)
@@ -2517,8 +2517,4 @@
     </message>
     <message>
-        <source>Ports</source>
-        <translation type="unfinished">พอร์ต</translation>
-    </message>
-    <message>
         <source>Serial Ports</source>
         <translation type="unfinished">พอร์ตอนุกรม</translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_tr.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_tr.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_tr.ts	(revision 105902)
@@ -2376,8 +2376,4 @@
     </message>
     <message>
-        <source>Ports</source>
-        <translation>B.Noktaları</translation>
-    </message>
-    <message>
         <source>Serial Ports</source>
         <translation>Seri B.Noktaları</translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_uk.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_uk.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_uk.ts	(revision 105902)
@@ -3021,8 +3021,4 @@
         <source>Network</source>
         <translation type="unfinished">Мережа</translation>
-    </message>
-    <message>
-        <source>Ports</source>
-        <translation type="unfinished">Порти</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_xx_YY.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_xx_YY.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_xx_YY.ts	(revision 105902)
@@ -2376,8 +2376,4 @@
     </message>
     <message>
-        <source>Ports</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
         <source>Serial Ports</source>
         <translation type="unfinished"></translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_CN.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_CN.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_CN.ts	(revision 105902)
@@ -3391,8 +3391,4 @@
     </message>
     <message>
-        <source>Ports</source>
-        <translation type="unfinished">端口</translation>
-    </message>
-    <message>
         <source>Serial Ports</source>
         <translation type="unfinished">串口</translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_TW.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_TW.ts	(revision 105901)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_TW.ts	(revision 105902)
@@ -2468,8 +2468,4 @@
     </message>
     <message>
-        <source>Ports</source>
-        <translation type="unfinished">連接埠</translation>
-    </message>
-    <message>
         <source>Serial Ports</source>
         <translation type="unfinished">串列埠</translation>