Index: trunk/doc/manual/en_US/dita/topics/guestadd-intro.dita
===================================================================
--- trunk/doc/manual/en_US/dita/topics/guestadd-intro.dita	(revision 105941)
+++ trunk/doc/manual/en_US/dita/topics/guestadd-intro.dita	(revision 105944)
@@ -5,9 +5,5 @@
   
   <body>
-    <p>As mentioned in <xref href="virtintro.dita#virtintro"/>, the Guest Additions are designed to be installed
-        <i>inside</i> a virtual machine after the guest operating system has been installed. They consist of device
-      drivers and system applications that optimize the guest operating system for better performance and usability. See
-        <xref href="guestossupport.dita#guestossupport"/> for details on what guest operating systems are fully
-      supported with Guest Additions by <ph conkeyref="vbox-conkeyref-phrases/product-name"/>. </p>
+    <p>As mentioned in <xref href="virtintro.dita#virtintro"/>, the Guest Additions are designed to be installed <i>inside</i> a virtual machine after the guest operating system has been installed. They consist of device drivers and system applications that optimize the guest operating system for better performance and usability. See <xref href="guest-os.dita"/> for details on what guest operating systems are fully supported with Guest Additions by <ph conkeyref="vbox-conkeyref-phrases/product-name"/>.</p>
     <p>The <ph conkeyref="vbox-conkeyref-phrases/product-name"/> Guest Additions for all supported guest operating
       systems are provided as a single CD-ROM image file which is called <filepath>VBoxGuestAdditions.iso</filepath>.
Index: trunk/doc/manual/en_US/dita/topics/gui-details.dita
===================================================================
--- trunk/doc/manual/en_US/dita/topics/gui-details.dita	(revision 105941)
+++ trunk/doc/manual/en_US/dita/topics/gui-details.dita	(revision 105944)
@@ -7,15 +7,4 @@
     <p>The Details pane shows configuration information for a virtual machine that is selected in the machine list. The
       pane also includes a toolbar for performing tasks. </p>
-    <fig id="fig-vbox-details-pane">
-      <title><ph conkeyref="vbox-conkeyref-phrases/vbox-mgr"/> Details Pane, Including Toolbar</title>
-      <xref href="images/details-pane.png" format="png" platform="htmlhelp">
-        <image href="images/details-pane.png" width="12cm" placement="break">
-          <alt><ph conkeyref="vbox-conkeyref-phrases/vbox-mgr"/> Details Pane, Including Toolbar</alt>
-        </image>
-      </xref>
-      <image platform="ohc" href="images/details-pane.png" width="12cm" placement="break">
-        <alt><ph conkeyref="vbox-conkeyref-phrases/vbox-mgr"/> Details Pane, Including Toolbar</alt>
-      </image>
-    </fig>
     <p>The Details pane includes the following: </p>
   </body>
Index: trunk/doc/manual/en_US/dita/topics/gui-machine-list.dita
===================================================================
--- trunk/doc/manual/en_US/dita/topics/gui-machine-list.dita	(revision 105941)
+++ 	(revision )
@@ -1,23 +1,0 @@
-<?xml version='1.0' encoding='UTF-8'?>
-<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
-<topic xml:lang="en-us" id="gui-machine-list">
-  <title>The Machine List</title>
-  
-  <body>
-    <p>The list of virtual machines in the left pane is called the <i>machine list</i>. </p>
-    <p>The following methods can be used to control and configure virtual machines in the machine list: </p>
-    <ul>
-      <li>
-        <p>Right-click the virtual machine name, to display menu options. </p>
-      </li>
-      <li>
-        <p>Click the Machine Tools menu icon, to the right of the virtual machine name. See <xref
-            href="gui-tools-machine.dita#gui-tools-machine"/>. </p>
-      </li>
-      <li>
-        <p>Click a button in the toolbar in the Details pane. See <xref href="gui-details.dita#gui-details"/>. </p>
-      </li>
-    </ul>
-  </body>
-  
-</topic>
Index: trunk/doc/manual/en_US/dita/topics/gui-tools-machine.dita
===================================================================
--- trunk/doc/manual/en_US/dita/topics/gui-tools-machine.dita	(revision 105941)
+++ 	(revision )
@@ -1,57 +1,0 @@
-<?xml version='1.0' encoding='UTF-8'?>
-<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
-<topic xml:lang="en-us" id="gui-tools-machine">
-  <title>Machine Tools</title>
-  
-  <body>
-    <p>In the machine list in the left pane of the <ph conkeyref="vbox-conkeyref-phrases/vbox-mgr"/> window, select a
-      virtual machine. </p>
-    <p>Click the <b outputclass="bold">Menu</b> icon to the right of the virtual machine name. The <b outputclass="bold"
-        >Machine Tools</b> menu is displayed. </p>
-    <p>A drop-down list enables you to select from the following machine tools: </p>
-    <ul>
-      <li>
-        <p><b outputclass="bold">Details.</b> Displays the
-              Details pane for the selected virtual machine. See
-              <xref href="gui-details.dita#gui-details"/>.
-            </p>
-      </li>
-      <li>
-        <p><b outputclass="bold">Snapshots.</b> Displays the
-              <b outputclass="bold">Snapshots</b> tool. This tool
-              enables you to view and manage snapshots for the virtual
-              machine. See <xref href="snapshots.dita#snapshots"/>.
-            </p>
-      </li>
-      <li>
-        <p><b outputclass="bold">Logs.</b> Displays the
-              <b outputclass="bold">Log Viewer</b> tool. This
-              tool enables you to view and search system logs for the
-              virtual machine. See <xref href="log-viewer.dita#log-viewer"/>.
-            </p>
-      </li>
-      <li>
-        <p><b outputclass="bold">Activity.</b> Displays the
-              <b outputclass="bold">VM Activity</b> page of the
-              <b outputclass="bold">Session Information</b>
-              dialog. This dialog enables you to view and analyze
-              performance metrics for the virtual machine. See
-              <xref href="vm-info.dita#vm-info"/>.
-            </p>
-      </li>
-      <li>
-        <p><b outputclass="bold">File Manager.</b> Displays
-              the <b outputclass="bold">Guest Control File
-              Manager</b> tool. This tool enables you to manage
-              files on the guest system. See
-              <xref href="guestadd-gc-file-manager.dita#guestadd-gc-file-manager"/>.
-            </p>
-      </li>
-    </ul>
-    <note>
-      <p>The available tools may vary, depending on the selected experience level for the <ph conkeyref="vbox-conkeyref-phrases/vbox-mgr"/> user interface.</p>
-      <p>See <xref href="ui-experience-level.dita#gui-experience-level"/>.</p>
-    </note>
-  </body>
-  
-</topic>
Index: trunk/doc/manual/en_US/dita/topics/gui-virtualboxmanager.dita
===================================================================
--- trunk/doc/manual/en_US/dita/topics/gui-virtualboxmanager.dita	(revision 105941)
+++ 	(revision )
@@ -1,26 +1,0 @@
-<?xml version='1.0' encoding='UTF-8'?>
-<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
-<topic xml:lang="en-us" id="gui-virtualboxmanager">
-  <title>Getting Started with <ph conkeyref="vbox-conkeyref-phrases/vbox-mgr">GetG</ph></title>
-  
-  <body>
-    <bodydiv>
-      <section id="section_awt_wjn_ccc">
-        <p>Use <ph conkeyref="vbox-conkeyref-phrases/vbox-mgr"/> to create, configure, and manage your virtual machines
-          (VMs).</p>
-        <p>Before adding VMs, you should configure VirtualBox for your network and host machine. </p>
-        <p>make this the bulk of this topic</p>
-      </section>
-      <section id="section_cwt_wjn_ccc">
-        <title>Managing VMs</title>
-        <p>make this a topic</p>
-        <p>As you add, import or create VMs they will appear in the machine list. Use the Machine Tools to <u>configure
-            individual VMs</u>, and the Global Tools to <u>configure VirtualBox</u>.</p>
-        <p>Check the <xref href="gui-notification-center.dita"/> for error messages. Errors are indicated by a warning
-          triangle.</p>
-      </section>
-    </bodydiv>
-    <!-- 7.1: Welcome screen now includes Experience Level selection button
-Completely rewritten for 7.1 Needs review. Add links to new topics for configuring VirtualBox for host, and Adding a saved VM to the list.-->
-  </body>
-</topic>
Index: trunk/doc/manual/en_US/dita/topics/intro-starting.dita
===================================================================
--- trunk/doc/manual/en_US/dita/topics/intro-starting.dita	(revision 105941)
+++ trunk/doc/manual/en_US/dita/topics/intro-starting.dita	(revision 105944)
@@ -29,7 +29,5 @@
       </li>
     </ul>
-    <p>When you start <ph conkeyref="vbox-conkeyref-phrases/product-name"/>, the <ph
-        conkeyref="vbox-conkeyref-phrases/vbox-mgr"/> interface is shown. See <xref
-        href="gui-virtualboxmanager.dita#gui-virtualboxmanager"/>. </p>
+    <p>When you start <ph conkeyref="vbox-conkeyref-phrases/product-name"/>, the <ph conkeyref="vbox-conkeyref-phrases/vbox-mgr"/> interface is shown. See <xref href="configuring-virtualbox.dita"/>. </p>
   </body>
   
Index: trunk/doc/manual/en_US/dita/topics/settings-acceleration.dita
===================================================================
--- trunk/doc/manual/en_US/dita/topics/settings-acceleration.dita	(revision 105941)
+++ trunk/doc/manual/en_US/dita/topics/settings-acceleration.dita	(revision 105944)
@@ -5,14 +5,10 @@
   
   <body>
-    <p>On this tab, you can configure <ph conkeyref="vbox-conkeyref-phrases/product-name"/> to use hardware
-      virtualization extensions that your host CPU supports. </p>
+    <p>On this tab, you can configure <ph conkeyref="vbox-conkeyref-phrases/product-name"/> to use hardware virtualization extensions that your host CPU supports. </p>
     <ul>
       <li>
-        <p><b outputclass="bold">Paravirtualization Interface:</b> <ph conkeyref="vbox-conkeyref-phrases/product-name"/> provides
-          paravirtualization interfaces to improve time-keeping accuracy and performance of guest
-          OSes. The options available are documented under the <codeph>--paravirt-provider</codeph>
-          option in <xref href="vboxmanage-modifyvm.dita"/>. For further details on the
-          paravirtualization providers, see <xref href="gimproviders.dita">Paravirtualization
-            Providers</xref>. </p>
+        <p><b outputclass="bold">Paravirtualization Interface:</b>
+          <ph conkeyref="vbox-conkeyref-phrases/product-name"/> provides paravirtualization interfaces to improve time-keeping accuracy and performance of guest OSes. The options available are documented under the <codeph>--paravirt-provider</codeph> option in <xref href="vboxmanage.dita"/>
+          <cmdname>modifyvm</cmdname>. For further details on the paravirtualization providers, see <xref href="gimproviders.dita">Paravirtualization Providers</xref>. </p>
       </li>
       <li>
@@ -38,8 +34,5 @@
       </li>
     </ul>
-    <p>In most cases, the default settings on the <b outputclass="bold">Acceleration</b> tab will work well. <ph
-        conkeyref="vbox-conkeyref-phrases/product-name"/> selects sensible defaults, depending on the OS that you
-      selected when you created the virtual machine. In certain situations, however, you may want to change the
-      preconfigured defaults. </p>
+    <p>In most cases, the default settings on the <b outputclass="bold">Acceleration</b> tab will work well. <ph conkeyref="vbox-conkeyref-phrases/product-name"/> selects sensible defaults, depending on the OS that you selected when you created the virtual machine. In certain situations, however, you may want to change the preconfigured defaults. </p>
   </body>
   
Index: trunk/doc/manual/en_US/dita/topics/settings-window.dita
===================================================================
--- trunk/doc/manual/en_US/dita/topics/settings-window.dita	(revision 105941)
+++ trunk/doc/manual/en_US/dita/topics/settings-window.dita	(revision 105944)
@@ -17,7 +17,5 @@
       </li>
       <li>
-        <p>
-          Click the <b>Settings</b> button in the toolbar in the Details pane. See <xref href="gui-details.dita#gui-details"/>.
-        </p>
+        <p> Click the <b>Settings</b> button in the toolbar in the <b>Details</b> pane.</p>
       </li>
     </ul>