Index: /trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UIStorageSettingsEditor.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UIStorageSettingsEditor.cpp	(revision 106046)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UIStorageSettingsEditor.cpp	(revision 106047)
@@ -2966,24 +2966,24 @@
     , m_pLabelHDFormat(0)
     , m_pFieldHDFormat(0)
-    , m_pLabelCDType(0)
-    , m_pFieldCDType(0)
-    , m_pLabelFDType(0)
-    , m_pFieldFDType(0)
     , m_pLabelHDVirtualSize(0)
     , m_pFieldHDVirtualSize(0)
     , m_pLabelHDActualSize(0)
     , m_pFieldHDActualSize(0)
+    , m_pLabelHDDetails(0)
+    , m_pFieldHDDetails(0)
+    , m_pLabelHDEncryption(0)
+    , m_pFieldHDEncryption(0)
+    , m_pLabelCDType(0)
+    , m_pFieldCDType(0)
     , m_pLabelCDSize(0)
     , m_pFieldCDSize(0)
+    , m_pLabelFDType(0)
+    , m_pFieldFDType(0)
     , m_pLabelFDSize(0)
     , m_pFieldFDSize(0)
-    , m_pLabelHDDetails(0)
-    , m_pFieldHDDetails(0)
     , m_pLabelLocation(0)
     , m_pFieldLocation(0)
     , m_pLabelUsage(0)
     , m_pFieldUsage(0)
-    , m_pLabelEncryption(0)
-    , m_pFieldEncryption(0)
 {
     prepare();
@@ -3084,24 +3084,24 @@
     m_pLabelHDFormat->setEnabled(fMachineInValidMode);
     m_pFieldHDFormat->setEnabled(fMachineInValidMode);
-    m_pLabelCDType->setEnabled(fMachineInValidMode);
-    m_pFieldCDType->setEnabled(fMachineInValidMode);
-    m_pLabelFDType->setEnabled(fMachineInValidMode);
-    m_pFieldFDType->setEnabled(fMachineInValidMode);
     m_pLabelHDVirtualSize->setEnabled(fMachineInValidMode);
     m_pFieldHDVirtualSize->setEnabled(fMachineInValidMode);
     m_pLabelHDActualSize->setEnabled(fMachineInValidMode);
     m_pFieldHDActualSize->setEnabled(fMachineInValidMode);
+    m_pLabelHDDetails->setEnabled(fMachineInValidMode);
+    m_pFieldHDDetails->setEnabled(fMachineInValidMode);
+    m_pLabelHDEncryption->setEnabled(fMachineInValidMode);
+    m_pFieldHDEncryption->setEnabled(fMachineInValidMode);
+    m_pLabelCDType->setEnabled(fMachineInValidMode);
+    m_pFieldCDType->setEnabled(fMachineInValidMode);
     m_pLabelCDSize->setEnabled(fMachineInValidMode);
     m_pFieldCDSize->setEnabled(fMachineInValidMode);
+    m_pLabelFDType->setEnabled(fMachineInValidMode);
+    m_pFieldFDType->setEnabled(fMachineInValidMode);
     m_pLabelFDSize->setEnabled(fMachineInValidMode);
     m_pFieldFDSize->setEnabled(fMachineInValidMode);
-    m_pLabelHDDetails->setEnabled(fMachineInValidMode);
-    m_pFieldHDDetails->setEnabled(fMachineInValidMode);
     m_pLabelLocation->setEnabled(fMachineInValidMode);
     m_pFieldLocation->setEnabled(fMachineInValidMode);
     m_pLabelUsage->setEnabled(fMachineInValidMode);
     m_pFieldUsage->setEnabled(fMachineInValidMode);
-    m_pLabelEncryption->setEnabled(fMachineInValidMode);
-    m_pFieldEncryption->setEnabled(fMachineInValidMode);
 
     /* Update remaining stuff: */
@@ -3277,14 +3277,14 @@
     m_pLabelSeparatorInformation->setText(tr("Information"));
     m_pLabelHDFormat->setText(tr("Type (Format):"));
-    m_pLabelCDType->setText(tr("Type:"));
-    m_pLabelFDType->setText(tr("Type:"));
     m_pLabelHDVirtualSize->setText(tr("Virtual size:"));
     m_pLabelHDActualSize->setText(tr("Actual size:"));
+    m_pLabelHDDetails->setText(tr("Storage details:"));
+    m_pLabelHDEncryption->setText(tr("Encryption key:"));
+    m_pLabelCDType->setText(tr("Type:"));
     m_pLabelCDSize->setText(tr("Size:"));
+    m_pLabelFDType->setText(tr("Type:"));
     m_pLabelFDSize->setText(tr("Size:"));
-    m_pLabelHDDetails->setText(tr("Storage details:"));
     m_pLabelLocation->setText(tr("Location:"));
     m_pLabelUsage->setText(tr("Attached to:"));
-    m_pLabelEncryption->setText(tr("Encryption key:"));
 
     /* Translate storage-view: */
@@ -3730,33 +3730,33 @@
                 m_pLabelHDFormat->setVisible(enmDeviceType == KDeviceType_HardDisk);
                 m_pFieldHDFormat->setVisible(enmDeviceType == KDeviceType_HardDisk);
-                m_pLabelCDType->setVisible(enmDeviceType == KDeviceType_DVD);
-                m_pFieldCDType->setVisible(enmDeviceType == KDeviceType_DVD);
-                m_pLabelFDType->setVisible(enmDeviceType == KDeviceType_Floppy);
-                m_pFieldFDType->setVisible(enmDeviceType == KDeviceType_Floppy);
                 m_pLabelHDVirtualSize->setVisible(enmDeviceType == KDeviceType_HardDisk);
                 m_pFieldHDVirtualSize->setVisible(enmDeviceType == KDeviceType_HardDisk);
                 m_pLabelHDActualSize->setVisible(enmDeviceType == KDeviceType_HardDisk);
                 m_pFieldHDActualSize->setVisible(enmDeviceType == KDeviceType_HardDisk);
+                m_pLabelHDDetails->setVisible(enmDeviceType == KDeviceType_HardDisk);
+                m_pFieldHDDetails->setVisible(enmDeviceType == KDeviceType_HardDisk);
+                m_pLabelHDEncryption->setVisible(enmDeviceType == KDeviceType_HardDisk);
+                m_pFieldHDEncryption->setVisible(enmDeviceType == KDeviceType_HardDisk);
+                m_pLabelCDType->setVisible(enmDeviceType == KDeviceType_DVD);
+                m_pFieldCDType->setVisible(enmDeviceType == KDeviceType_DVD);
                 m_pLabelCDSize->setVisible(enmDeviceType == KDeviceType_DVD);
                 m_pFieldCDSize->setVisible(enmDeviceType == KDeviceType_DVD);
+                m_pLabelFDType->setVisible(enmDeviceType == KDeviceType_Floppy);
+                m_pFieldFDType->setVisible(enmDeviceType == KDeviceType_Floppy);
                 m_pLabelFDSize->setVisible(enmDeviceType == KDeviceType_Floppy);
                 m_pFieldFDSize->setVisible(enmDeviceType == KDeviceType_Floppy);
-                m_pLabelHDDetails->setVisible(enmDeviceType == KDeviceType_HardDisk);
-                m_pFieldHDDetails->setVisible(enmDeviceType == KDeviceType_HardDisk);
-                m_pLabelEncryption->setVisible(enmDeviceType == KDeviceType_HardDisk);
-                m_pFieldEncryption->setVisible(enmDeviceType == KDeviceType_HardDisk);
 
                 /* Getting other information: */
                 m_pFieldHDFormat->setText(compressText(pModel->data(index, StorageModel::R_AttFormat).toString()));
-                m_pFieldCDType->setText(compressText(pModel->data(index, StorageModel::R_AttFormat).toString()));
-                m_pFieldFDType->setText(compressText(pModel->data(index, StorageModel::R_AttFormat).toString()));
                 m_pFieldHDVirtualSize->setText(compressText(pModel->data(index, StorageModel::R_AttLogicalSize).toString()));
                 m_pFieldHDActualSize->setText(compressText(pModel->data(index, StorageModel::R_AttSize).toString()));
+                m_pFieldHDDetails->setText(compressText(pModel->data(index, StorageModel::R_AttDetails).toString()));
+                m_pFieldHDEncryption->setText(compressText(pModel->data(index, StorageModel::R_AttEncryptionPasswordID).toString()));
+                m_pFieldCDType->setText(compressText(pModel->data(index, StorageModel::R_AttFormat).toString()));
                 m_pFieldCDSize->setText(compressText(pModel->data(index, StorageModel::R_AttSize).toString()));
+                m_pFieldFDType->setText(compressText(pModel->data(index, StorageModel::R_AttFormat).toString()));
                 m_pFieldFDSize->setText(compressText(pModel->data(index, StorageModel::R_AttSize).toString()));
-                m_pFieldHDDetails->setText(compressText(pModel->data(index, StorageModel::R_AttDetails).toString()));
                 m_pFieldLocation->setText(compressText(pModel->data(index, StorageModel::R_AttLocation).toString()));
                 m_pFieldUsage->setText(compressText(pModel->data(index, StorageModel::R_AttUsage).toString()));
-                m_pFieldEncryption->setText(compressText(pModel->data(index, StorageModel::R_AttEncryptionPasswordID).toString()));
 
                 /* Showing attachment page: */
@@ -4943,4 +4943,68 @@
             }
 
+            /* Prepare HD virtual size label: */
+            m_pLabelHDVirtualSize = new QLabel(pWidgetAttachment);
+            if (m_pLabelHDVirtualSize)
+            {
+                m_pLabelHDVirtualSize->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
+                m_pLayoutAttachment->addWidget(m_pLabelHDVirtualSize, 6, 1);
+            }
+            /* Prepare HD virtual size field: */
+            m_pFieldHDVirtualSize = new QILabel(pWidgetAttachment);
+            if (m_pFieldHDVirtualSize)
+            {
+                m_pFieldHDVirtualSize->setFullSizeSelection(true);
+                m_pFieldHDVirtualSize->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
+                m_pLayoutAttachment->addWidget(m_pFieldHDVirtualSize, 6, 2);
+            }
+
+            /* Prepare HD actual size label: */
+            m_pLabelHDActualSize = new QLabel(pWidgetAttachment);
+            if (m_pLabelHDActualSize)
+            {
+                m_pLabelHDActualSize->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
+                m_pLayoutAttachment->addWidget(m_pLabelHDActualSize, 7, 1);
+            }
+            /* Prepare HD actual size field: */
+            m_pFieldHDActualSize = new QILabel(pWidgetAttachment);
+            if (m_pFieldHDActualSize)
+            {
+                m_pFieldHDActualSize->setFullSizeSelection(true);
+                m_pFieldHDActualSize->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
+                m_pLayoutAttachment->addWidget(m_pFieldHDActualSize, 7, 2);
+            }
+
+            /* Prepare HD details label: */
+            m_pLabelHDDetails = new QLabel(pWidgetAttachment);
+            if (m_pLabelHDDetails)
+            {
+                m_pLabelHDDetails->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
+                m_pLayoutAttachment->addWidget(m_pLabelHDDetails, 8, 1);
+            }
+            /* Prepare HD details field: */
+            m_pFieldHDDetails = new QILabel(pWidgetAttachment);
+            if (m_pFieldHDDetails)
+            {
+                m_pFieldHDDetails->setFullSizeSelection(true);
+                m_pFieldHDDetails->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
+                m_pLayoutAttachment->addWidget(m_pFieldHDDetails, 8, 2);
+            }
+
+            /* Prepare encryption label: */
+            m_pLabelHDEncryption = new QLabel(pWidgetAttachment);
+            if (m_pLabelHDEncryption)
+            {
+                m_pLabelHDEncryption->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
+                m_pLayoutAttachment->addWidget(m_pLabelHDEncryption, 9, 1);
+            }
+            /* Prepare encryption field: */
+            m_pFieldHDEncryption = new QILabel(pWidgetAttachment);
+            if (m_pFieldHDEncryption)
+            {
+                m_pFieldHDEncryption->setFullSizeSelection(true);
+                m_pFieldHDEncryption->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
+                m_pLayoutAttachment->addWidget(m_pFieldHDEncryption, 9, 2);
+            }
+
             /* Prepare CD type label: */
             m_pLabelCDType = new QLabel(pWidgetAttachment);
@@ -4948,5 +5012,5 @@
             {
                 m_pLabelCDType->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
-                m_pLayoutAttachment->addWidget(m_pLabelCDType, 6, 1);
+                m_pLayoutAttachment->addWidget(m_pLabelCDType, 10, 1);
             }
             /* Prepare CD type field: */
@@ -4956,5 +5020,21 @@
                 m_pFieldCDType->setFullSizeSelection(true);
                 m_pFieldCDType->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
-                m_pLayoutAttachment->addWidget(m_pFieldCDType, 6, 2);
+                m_pLayoutAttachment->addWidget(m_pFieldCDType, 10, 2);
+            }
+
+            /* Prepare CD size label: */
+            m_pLabelCDSize = new QLabel(pWidgetAttachment);
+            if (m_pLabelCDSize)
+            {
+                m_pLabelCDSize->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
+                m_pLayoutAttachment->addWidget(m_pLabelCDSize, 11, 1);
+            }
+            /* Prepare CD size field: */
+            m_pFieldCDSize = new QILabel(pWidgetAttachment);
+            if (m_pFieldCDSize)
+            {
+                m_pFieldCDSize->setFullSizeSelection(true);
+                m_pFieldCDSize->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
+                m_pLayoutAttachment->addWidget(m_pFieldCDSize, 11, 2);
             }
 
@@ -4964,5 +5044,5 @@
             {
                 m_pLabelFDType->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
-                m_pLayoutAttachment->addWidget(m_pLabelFDType, 7, 1);
+                m_pLayoutAttachment->addWidget(m_pLabelFDType, 12, 1);
             }
             /* Prepare FD type field: */
@@ -4972,53 +5052,5 @@
                 m_pFieldFDType->setFullSizeSelection(true);
                 m_pFieldFDType->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
-                m_pLayoutAttachment->addWidget(m_pFieldFDType, 7, 2);
-            }
-
-            /* Prepare HD virtual size label: */
-            m_pLabelHDVirtualSize = new QLabel(pWidgetAttachment);
-            if (m_pLabelHDVirtualSize)
-            {
-                m_pLabelHDVirtualSize->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
-                m_pLayoutAttachment->addWidget(m_pLabelHDVirtualSize, 8, 1);
-            }
-            /* Prepare HD virtual size field: */
-            m_pFieldHDVirtualSize = new QILabel(pWidgetAttachment);
-            if (m_pFieldHDVirtualSize)
-            {
-                m_pFieldHDVirtualSize->setFullSizeSelection(true);
-                m_pFieldHDVirtualSize->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
-                m_pLayoutAttachment->addWidget(m_pFieldHDVirtualSize, 8, 2);
-            }
-
-            /* Prepare HD actual size label: */
-            m_pLabelHDActualSize = new QLabel(pWidgetAttachment);
-            if (m_pLabelHDActualSize)
-            {
-                m_pLabelHDActualSize->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
-                m_pLayoutAttachment->addWidget(m_pLabelHDActualSize, 9, 1);
-            }
-            /* Prepare HD actual size field: */
-            m_pFieldHDActualSize = new QILabel(pWidgetAttachment);
-            if (m_pFieldHDActualSize)
-            {
-                m_pFieldHDActualSize->setFullSizeSelection(true);
-                m_pFieldHDActualSize->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
-                m_pLayoutAttachment->addWidget(m_pFieldHDActualSize, 9, 2);
-            }
-
-            /* Prepare CD size label: */
-            m_pLabelCDSize = new QLabel(pWidgetAttachment);
-            if (m_pLabelCDSize)
-            {
-                m_pLabelCDSize->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
-                m_pLayoutAttachment->addWidget(m_pLabelCDSize, 10, 1);
-            }
-            /* Prepare CD size field: */
-            m_pFieldCDSize = new QILabel(pWidgetAttachment);
-            if (m_pFieldCDSize)
-            {
-                m_pFieldCDSize->setFullSizeSelection(true);
-                m_pFieldCDSize->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
-                m_pLayoutAttachment->addWidget(m_pFieldCDSize, 10, 2);
+                m_pLayoutAttachment->addWidget(m_pFieldFDType, 12, 2);
             }
 
@@ -5028,5 +5060,5 @@
             {
                 m_pLabelFDSize->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
-                m_pLayoutAttachment->addWidget(m_pLabelFDSize, 11, 1);
+                m_pLayoutAttachment->addWidget(m_pLabelFDSize, 13, 1);
             }
             /* Prepare FD size field: */
@@ -5036,21 +5068,5 @@
                 m_pFieldFDSize->setFullSizeSelection(true);
                 m_pFieldFDSize->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
-                m_pLayoutAttachment->addWidget(m_pFieldFDSize, 11, 2);
-            }
-
-            /* Prepare HD details label: */
-            m_pLabelHDDetails = new QLabel(pWidgetAttachment);
-            if (m_pLabelHDDetails)
-            {
-                m_pLabelHDDetails->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
-                m_pLayoutAttachment->addWidget(m_pLabelHDDetails, 12, 1);
-            }
-            /* Prepare HD details field: */
-            m_pFieldHDDetails = new QILabel(pWidgetAttachment);
-            if (m_pFieldHDDetails)
-            {
-                m_pFieldHDDetails->setFullSizeSelection(true);
-                m_pFieldHDDetails->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
-                m_pLayoutAttachment->addWidget(m_pFieldHDDetails, 12, 2);
+                m_pLayoutAttachment->addWidget(m_pFieldFDSize, 13, 2);
             }
 
@@ -5060,5 +5076,5 @@
             {
                 m_pLabelLocation->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
-                m_pLayoutAttachment->addWidget(m_pLabelLocation, 13, 1);
+                m_pLayoutAttachment->addWidget(m_pLabelLocation, 14, 1);
             }
             /* Prepare location field: */
@@ -5068,5 +5084,5 @@
                 m_pFieldLocation->setFullSizeSelection(true);
                 m_pFieldLocation->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
-                m_pLayoutAttachment->addWidget(m_pFieldLocation, 13, 2);
+                m_pLayoutAttachment->addWidget(m_pFieldLocation, 14, 2);
             }
 
@@ -5076,5 +5092,5 @@
             {
                 m_pLabelUsage->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
-                m_pLayoutAttachment->addWidget(m_pLabelUsage, 14, 1);
+                m_pLayoutAttachment->addWidget(m_pLabelUsage, 15, 1);
             }
             /* Prepare usage field: */
@@ -5084,21 +5100,5 @@
                 m_pFieldUsage->setFullSizeSelection(true);
                 m_pFieldUsage->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
-                m_pLayoutAttachment->addWidget(m_pFieldUsage, 14, 2);
-            }
-
-            /* Prepare encryption label: */
-            m_pLabelEncryption = new QLabel(pWidgetAttachment);
-            if (m_pLabelEncryption)
-            {
-                m_pLabelEncryption->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
-                m_pLayoutAttachment->addWidget(m_pLabelEncryption, 15, 1);
-            }
-            /* Prepare encryption field: */
-            m_pFieldEncryption = new QILabel(pWidgetAttachment);
-            if (m_pFieldEncryption)
-            {
-                m_pFieldEncryption->setFullSizeSelection(true);
-                m_pFieldEncryption->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
-                m_pLayoutAttachment->addWidget(m_pFieldEncryption, 15, 2);
+                m_pLayoutAttachment->addWidget(m_pFieldUsage, 15, 2);
             }
 
Index: /trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UIStorageSettingsEditor.h
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UIStorageSettingsEditor.h	(revision 106046)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UIStorageSettingsEditor.h	(revision 106047)
@@ -455,8 +455,10 @@
         /** Holds the right pane instance. */
         QStackedWidget   *m_pStackRightPane;
+
         /** Holds the right pane empty widget separator instance. */
         QILabelSeparator *m_pLabelSeparatorEmpty;
         /** Holds the info label instance. */
         QLabel           *m_pLabelInfo;
+
         /** Holds the right pane controller widget separator instance. */
         QILabelSeparator *m_pLabelSeparatorParameters;
@@ -475,4 +477,5 @@
         /** Holds the IO cache check-box instance. */
         QCheckBox        *m_pCheckBoxIoCache;
+
         /** Holds the right pane attachment widget separator instance. */
         QILabelSeparator *m_pLabelSeparatorAttributes;
@@ -495,4 +498,5 @@
         /** Holds the hot-pluggable check-box instance. */
         QCheckBox        *m_pCheckBoxHotPluggable;
+
         /** Holds the right pane attachment widget separator instance. */
         QILabelSeparator *m_pLabelSeparatorInformation;
@@ -501,12 +505,4 @@
         /** Holds the HD format field instance. */
         QILabel          *m_pFieldHDFormat;
-        /** Holds the CD type label instance. */
-        QLabel           *m_pLabelCDType;
-        /** Holds the CD type field instance. */
-        QILabel          *m_pFieldCDType;
-        /** Holds the FD type label instance. */
-        QLabel           *m_pLabelFDType;
-        /** Holds the FD type field instance. */
-        QILabel          *m_pFieldFDType;
         /** Holds the HD virtual size label instance. */
         QLabel           *m_pLabelHDVirtualSize;
@@ -517,16 +513,28 @@
         /** Holds the HD actual size field instance. */
         QILabel          *m_pFieldHDActualSize;
+        /** Holds the HD details label instance. */
+        QLabel           *m_pLabelHDDetails;
+        /** Holds the HD details field instance. */
+        QILabel          *m_pFieldHDDetails;
+        /** Holds the HD encryption label instance. */
+        QLabel           *m_pLabelHDEncryption;
+        /** Holds the HD encryption field instance. */
+        QILabel          *m_pFieldHDEncryption;
+        /** Holds the CD type label instance. */
+        QLabel           *m_pLabelCDType;
+        /** Holds the CD type field instance. */
+        QILabel          *m_pFieldCDType;
         /** Holds the CD size label instance. */
         QLabel           *m_pLabelCDSize;
         /** Holds the CD size field instance. */
         QILabel          *m_pFieldCDSize;
+        /** Holds the FD type label instance. */
+        QLabel           *m_pLabelFDType;
+        /** Holds the FD type field instance. */
+        QILabel          *m_pFieldFDType;
         /** Holds the FD size label instance. */
         QLabel           *m_pLabelFDSize;
         /** Holds the FD size field instance. */
         QILabel          *m_pFieldFDSize;
-        /** Holds the HD details label instance. */
-        QLabel           *m_pLabelHDDetails;
-        /** Holds the HD details field instance. */
-        QILabel          *m_pFieldHDDetails;
         /** Holds the location label instance. */
         QLabel           *m_pLabelLocation;
@@ -537,8 +545,4 @@
         /** Holds the usage field instance. */
         QILabel          *m_pFieldUsage;
-        /** Holds the encryption label instance. */
-        QLabel           *m_pLabelEncryption;
-        /** Holds the encryption field instance. */
-        QILabel          *m_pFieldEncryption;
     /** @} */
 };