Index: trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UIStorageSettingsEditor.cpp
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UIStorageSettingsEditor.cpp	(revision 106047)
+++ trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UIStorageSettingsEditor.cpp	(revision 106048)
@@ -2972,4 +2972,8 @@
     , m_pLabelHDDetails(0)
     , m_pFieldHDDetails(0)
+    , m_pLabelHDLocation(0)
+    , m_pFieldHDLocation(0)
+    , m_pLabelHDUsage(0)
+    , m_pFieldHDUsage(0)
     , m_pLabelHDEncryption(0)
     , m_pFieldHDEncryption(0)
@@ -2978,12 +2982,16 @@
     , m_pLabelCDSize(0)
     , m_pFieldCDSize(0)
+    , m_pLabelCDLocation(0)
+    , m_pFieldCDLocation(0)
+    , m_pLabelCDUsage(0)
+    , m_pFieldCDUsage(0)
     , m_pLabelFDType(0)
     , m_pFieldFDType(0)
     , m_pLabelFDSize(0)
     , m_pFieldFDSize(0)
-    , m_pLabelLocation(0)
-    , m_pFieldLocation(0)
-    , m_pLabelUsage(0)
-    , m_pFieldUsage(0)
+    , m_pLabelFDLocation(0)
+    , m_pFieldFDLocation(0)
+    , m_pLabelFDUsage(0)
+    , m_pFieldFDUsage(0)
 {
     prepare();
@@ -3090,4 +3098,8 @@
     m_pLabelHDDetails->setEnabled(fMachineInValidMode);
     m_pFieldHDDetails->setEnabled(fMachineInValidMode);
+    m_pLabelHDLocation->setEnabled(fMachineInValidMode);
+    m_pFieldHDLocation->setEnabled(fMachineInValidMode);
+    m_pLabelHDUsage->setEnabled(fMachineInValidMode);
+    m_pFieldHDUsage->setEnabled(fMachineInValidMode);
     m_pLabelHDEncryption->setEnabled(fMachineInValidMode);
     m_pFieldHDEncryption->setEnabled(fMachineInValidMode);
@@ -3096,12 +3108,16 @@
     m_pLabelCDSize->setEnabled(fMachineInValidMode);
     m_pFieldCDSize->setEnabled(fMachineInValidMode);
+    m_pLabelCDLocation->setEnabled(fMachineInValidMode);
+    m_pFieldCDLocation->setEnabled(fMachineInValidMode);
+    m_pLabelCDUsage->setEnabled(fMachineInValidMode);
+    m_pFieldCDUsage->setEnabled(fMachineInValidMode);
     m_pLabelFDType->setEnabled(fMachineInValidMode);
     m_pFieldFDType->setEnabled(fMachineInValidMode);
     m_pLabelFDSize->setEnabled(fMachineInValidMode);
     m_pFieldFDSize->setEnabled(fMachineInValidMode);
-    m_pLabelLocation->setEnabled(fMachineInValidMode);
-    m_pFieldLocation->setEnabled(fMachineInValidMode);
-    m_pLabelUsage->setEnabled(fMachineInValidMode);
-    m_pFieldUsage->setEnabled(fMachineInValidMode);
+    m_pLabelFDLocation->setEnabled(fMachineInValidMode);
+    m_pFieldFDLocation->setEnabled(fMachineInValidMode);
+    m_pLabelFDUsage->setEnabled(fMachineInValidMode);
+    m_pFieldFDUsage->setEnabled(fMachineInValidMode);
 
     /* Update remaining stuff: */
@@ -3280,11 +3296,15 @@
     m_pLabelHDActualSize->setText(tr("Actual size:"));
     m_pLabelHDDetails->setText(tr("Storage details:"));
+    m_pLabelHDLocation->setText(tr("Location:"));
+    m_pLabelHDUsage->setText(tr("Attached to:"));
     m_pLabelHDEncryption->setText(tr("Encryption key:"));
     m_pLabelCDType->setText(tr("Type:"));
     m_pLabelCDSize->setText(tr("Size:"));
+    m_pLabelCDLocation->setText(tr("Location:"));
+    m_pLabelCDUsage->setText(tr("Attached to:"));
     m_pLabelFDType->setText(tr("Type:"));
     m_pLabelFDSize->setText(tr("Size:"));
-    m_pLabelLocation->setText(tr("Location:"));
-    m_pLabelUsage->setText(tr("Attached to:"));
+    m_pLabelFDLocation->setText(tr("Location:"));
+    m_pLabelFDUsage->setText(tr("Attached to:"));
 
     /* Translate storage-view: */
@@ -3736,4 +3756,8 @@
                 m_pLabelHDDetails->setVisible(enmDeviceType == KDeviceType_HardDisk);
                 m_pFieldHDDetails->setVisible(enmDeviceType == KDeviceType_HardDisk);
+                m_pLabelHDLocation->setVisible(enmDeviceType == KDeviceType_HardDisk);
+                m_pFieldHDLocation->setVisible(enmDeviceType == KDeviceType_HardDisk);
+                m_pLabelHDUsage->setVisible(enmDeviceType == KDeviceType_HardDisk);
+                m_pFieldHDUsage->setVisible(enmDeviceType == KDeviceType_HardDisk);
                 m_pLabelHDEncryption->setVisible(enmDeviceType == KDeviceType_HardDisk);
                 m_pFieldHDEncryption->setVisible(enmDeviceType == KDeviceType_HardDisk);
@@ -3742,8 +3766,16 @@
                 m_pLabelCDSize->setVisible(enmDeviceType == KDeviceType_DVD);
                 m_pFieldCDSize->setVisible(enmDeviceType == KDeviceType_DVD);
+                m_pLabelCDLocation->setVisible(enmDeviceType == KDeviceType_DVD);
+                m_pFieldCDLocation->setVisible(enmDeviceType == KDeviceType_DVD);
+                m_pLabelCDUsage->setVisible(enmDeviceType == KDeviceType_DVD);
+                m_pFieldCDUsage->setVisible(enmDeviceType == KDeviceType_DVD);
                 m_pLabelFDType->setVisible(enmDeviceType == KDeviceType_Floppy);
                 m_pFieldFDType->setVisible(enmDeviceType == KDeviceType_Floppy);
                 m_pLabelFDSize->setVisible(enmDeviceType == KDeviceType_Floppy);
                 m_pFieldFDSize->setVisible(enmDeviceType == KDeviceType_Floppy);
+                m_pLabelFDLocation->setVisible(enmDeviceType == KDeviceType_Floppy);
+                m_pFieldFDLocation->setVisible(enmDeviceType == KDeviceType_Floppy);
+                m_pLabelFDUsage->setVisible(enmDeviceType == KDeviceType_Floppy);
+                m_pFieldFDUsage->setVisible(enmDeviceType == KDeviceType_Floppy);
 
                 /* Getting other information: */
@@ -3752,11 +3784,15 @@
                 m_pFieldHDActualSize->setText(compressText(pModel->data(index, StorageModel::R_AttSize).toString()));
                 m_pFieldHDDetails->setText(compressText(pModel->data(index, StorageModel::R_AttDetails).toString()));
+                m_pFieldHDLocation->setText(compressText(pModel->data(index, StorageModel::R_AttLocation).toString()));
+                m_pFieldHDUsage->setText(compressText(pModel->data(index, StorageModel::R_AttUsage).toString()));
                 m_pFieldHDEncryption->setText(compressText(pModel->data(index, StorageModel::R_AttEncryptionPasswordID).toString()));
                 m_pFieldCDType->setText(compressText(pModel->data(index, StorageModel::R_AttFormat).toString()));
                 m_pFieldCDSize->setText(compressText(pModel->data(index, StorageModel::R_AttSize).toString()));
+                m_pFieldCDLocation->setText(compressText(pModel->data(index, StorageModel::R_AttLocation).toString()));
+                m_pFieldCDUsage->setText(compressText(pModel->data(index, StorageModel::R_AttUsage).toString()));
                 m_pFieldFDType->setText(compressText(pModel->data(index, StorageModel::R_AttFormat).toString()));
                 m_pFieldFDSize->setText(compressText(pModel->data(index, StorageModel::R_AttSize).toString()));
-                m_pFieldLocation->setText(compressText(pModel->data(index, StorageModel::R_AttLocation).toString()));
-                m_pFieldUsage->setText(compressText(pModel->data(index, StorageModel::R_AttUsage).toString()));
+                m_pFieldFDLocation->setText(compressText(pModel->data(index, StorageModel::R_AttLocation).toString()));
+                m_pFieldFDUsage->setText(compressText(pModel->data(index, StorageModel::R_AttUsage).toString()));
 
                 /* Showing attachment page: */
@@ -4837,5 +4873,5 @@
             m_pLayoutAttachment->setContentsMargins(10, 0, 0, 0);
             m_pLayoutAttachment->setColumnStretch(2, 1);
-            m_pLayoutAttachment->setRowStretch(16, 1);
+            m_pLayoutAttachment->setRowStretch(20, 1);
 
             /* Prepare separator for attachment case: */
@@ -4991,4 +5027,36 @@
             }
 
+            /* Prepare HD location label: */
+            m_pLabelHDLocation = new QLabel(pWidgetAttachment);
+            if (m_pLabelHDLocation)
+            {
+                m_pLabelHDLocation->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
+                m_pLayoutAttachment->addWidget(m_pLabelHDLocation, 9, 1);
+            }
+            /* Prepare HD location field: */
+            m_pFieldHDLocation = new QILabel(pWidgetAttachment);
+            if (m_pFieldHDLocation)
+            {
+                m_pFieldHDLocation->setFullSizeSelection(true);
+                m_pFieldHDLocation->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
+                m_pLayoutAttachment->addWidget(m_pFieldHDLocation, 9, 2);
+            }
+
+            /* Prepare HD usage label: */
+            m_pLabelHDUsage = new QLabel(pWidgetAttachment);
+            if (m_pLabelHDUsage)
+            {
+                m_pLabelHDUsage->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
+                m_pLayoutAttachment->addWidget(m_pLabelHDUsage, 10, 1);
+            }
+            /* Prepare HD usage field: */
+            m_pFieldHDUsage = new QILabel(pWidgetAttachment);
+            if (m_pFieldHDUsage)
+            {
+                m_pFieldHDUsage->setFullSizeSelection(true);
+                m_pFieldHDUsage->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
+                m_pLayoutAttachment->addWidget(m_pFieldHDUsage, 10, 2);
+            }
+
             /* Prepare encryption label: */
             m_pLabelHDEncryption = new QLabel(pWidgetAttachment);
@@ -4996,5 +5064,5 @@
             {
                 m_pLabelHDEncryption->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
-                m_pLayoutAttachment->addWidget(m_pLabelHDEncryption, 9, 1);
+                m_pLayoutAttachment->addWidget(m_pLabelHDEncryption, 11, 1);
             }
             /* Prepare encryption field: */
@@ -5004,5 +5072,5 @@
                 m_pFieldHDEncryption->setFullSizeSelection(true);
                 m_pFieldHDEncryption->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
-                m_pLayoutAttachment->addWidget(m_pFieldHDEncryption, 9, 2);
+                m_pLayoutAttachment->addWidget(m_pFieldHDEncryption, 11, 2);
             }
 
@@ -5012,5 +5080,5 @@
             {
                 m_pLabelCDType->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
-                m_pLayoutAttachment->addWidget(m_pLabelCDType, 10, 1);
+                m_pLayoutAttachment->addWidget(m_pLabelCDType, 12, 1);
             }
             /* Prepare CD type field: */
@@ -5020,5 +5088,5 @@
                 m_pFieldCDType->setFullSizeSelection(true);
                 m_pFieldCDType->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
-                m_pLayoutAttachment->addWidget(m_pFieldCDType, 10, 2);
+                m_pLayoutAttachment->addWidget(m_pFieldCDType, 12, 2);
             }
 
@@ -5028,5 +5096,5 @@
             {
                 m_pLabelCDSize->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
-                m_pLayoutAttachment->addWidget(m_pLabelCDSize, 11, 1);
+                m_pLayoutAttachment->addWidget(m_pLabelCDSize, 13, 1);
             }
             /* Prepare CD size field: */
@@ -5036,5 +5104,37 @@
                 m_pFieldCDSize->setFullSizeSelection(true);
                 m_pFieldCDSize->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
-                m_pLayoutAttachment->addWidget(m_pFieldCDSize, 11, 2);
+                m_pLayoutAttachment->addWidget(m_pFieldCDSize, 13, 2);
+            }
+
+            /* Prepare CD location label: */
+            m_pLabelCDLocation = new QLabel(pWidgetAttachment);
+            if (m_pLabelCDLocation)
+            {
+                m_pLabelCDLocation->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
+                m_pLayoutAttachment->addWidget(m_pLabelCDLocation, 14, 1);
+            }
+            /* Prepare CD location field: */
+            m_pFieldCDLocation = new QILabel(pWidgetAttachment);
+            if (m_pFieldCDLocation)
+            {
+                m_pFieldCDLocation->setFullSizeSelection(true);
+                m_pFieldCDLocation->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
+                m_pLayoutAttachment->addWidget(m_pFieldCDLocation, 14, 2);
+            }
+
+            /* Prepare CD usage label: */
+            m_pLabelCDUsage = new QLabel(pWidgetAttachment);
+            if (m_pLabelCDUsage)
+            {
+                m_pLabelCDUsage->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
+                m_pLayoutAttachment->addWidget(m_pLabelCDUsage, 15, 1);
+            }
+            /* Prepare CD usage field: */
+            m_pFieldCDUsage = new QILabel(pWidgetAttachment);
+            if (m_pFieldCDUsage)
+            {
+                m_pFieldCDUsage->setFullSizeSelection(true);
+                m_pFieldCDUsage->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
+                m_pLayoutAttachment->addWidget(m_pFieldCDUsage, 15, 2);
             }
 
@@ -5044,5 +5144,5 @@
             {
                 m_pLabelFDType->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
-                m_pLayoutAttachment->addWidget(m_pLabelFDType, 12, 1);
+                m_pLayoutAttachment->addWidget(m_pLabelFDType, 16, 1);
             }
             /* Prepare FD type field: */
@@ -5052,5 +5152,5 @@
                 m_pFieldFDType->setFullSizeSelection(true);
                 m_pFieldFDType->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
-                m_pLayoutAttachment->addWidget(m_pFieldFDType, 12, 2);
+                m_pLayoutAttachment->addWidget(m_pFieldFDType, 16, 2);
             }
 
@@ -5060,5 +5160,5 @@
             {
                 m_pLabelFDSize->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
-                m_pLayoutAttachment->addWidget(m_pLabelFDSize, 13, 1);
+                m_pLayoutAttachment->addWidget(m_pLabelFDSize, 17, 1);
             }
             /* Prepare FD size field: */
@@ -5068,37 +5168,37 @@
                 m_pFieldFDSize->setFullSizeSelection(true);
                 m_pFieldFDSize->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
-                m_pLayoutAttachment->addWidget(m_pFieldFDSize, 13, 2);
-            }
-
-            /* Prepare location label: */
-            m_pLabelLocation = new QLabel(pWidgetAttachment);
-            if (m_pLabelLocation)
-            {
-                m_pLabelLocation->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
-                m_pLayoutAttachment->addWidget(m_pLabelLocation, 14, 1);
-            }
-            /* Prepare location field: */
-            m_pFieldLocation = new QILabel(pWidgetAttachment);
-            if (m_pFieldLocation)
-            {
-                m_pFieldLocation->setFullSizeSelection(true);
-                m_pFieldLocation->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
-                m_pLayoutAttachment->addWidget(m_pFieldLocation, 14, 2);
-            }
-
-            /* Prepare usage label: */
-            m_pLabelUsage = new QLabel(pWidgetAttachment);
-            if (m_pLabelUsage)
-            {
-                m_pLabelUsage->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
-                m_pLayoutAttachment->addWidget(m_pLabelUsage, 15, 1);
-            }
-            /* Prepare usage field: */
-            m_pFieldUsage = new QILabel(pWidgetAttachment);
-            if (m_pFieldUsage)
-            {
-                m_pFieldUsage->setFullSizeSelection(true);
-                m_pFieldUsage->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
-                m_pLayoutAttachment->addWidget(m_pFieldUsage, 15, 2);
+                m_pLayoutAttachment->addWidget(m_pFieldFDSize, 17, 2);
+            }
+
+            /* Prepare FD location label: */
+            m_pLabelFDLocation = new QLabel(pWidgetAttachment);
+            if (m_pLabelFDLocation)
+            {
+                m_pLabelFDLocation->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
+                m_pLayoutAttachment->addWidget(m_pLabelFDLocation, 18, 1);
+            }
+            /* Prepare FD location field: */
+            m_pFieldFDLocation = new QILabel(pWidgetAttachment);
+            if (m_pFieldFDLocation)
+            {
+                m_pFieldFDLocation->setFullSizeSelection(true);
+                m_pFieldFDLocation->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
+                m_pLayoutAttachment->addWidget(m_pFieldFDLocation, 18, 2);
+            }
+
+            /* Prepare FD usage label: */
+            m_pLabelFDUsage = new QLabel(pWidgetAttachment);
+            if (m_pLabelFDUsage)
+            {
+                m_pLabelFDUsage->setAlignment(Qt::AlignRight | Qt::AlignVCenter);
+                m_pLayoutAttachment->addWidget(m_pLabelFDUsage, 19, 1);
+            }
+            /* Prepare FD usage field: */
+            m_pFieldFDUsage = new QILabel(pWidgetAttachment);
+            if (m_pFieldFDUsage)
+            {
+                m_pFieldFDUsage->setFullSizeSelection(true);
+                m_pFieldFDUsage->setSizePolicy(QSizePolicy(QSizePolicy::Ignored, QSizePolicy::Minimum));
+                m_pLayoutAttachment->addWidget(m_pFieldFDUsage, 19, 2);
             }
 
Index: trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UIStorageSettingsEditor.h
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UIStorageSettingsEditor.h	(revision 106047)
+++ trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UIStorageSettingsEditor.h	(revision 106048)
@@ -517,4 +517,12 @@
         /** Holds the HD details field instance. */
         QILabel          *m_pFieldHDDetails;
+        /** Holds the HD location label instance. */
+        QLabel           *m_pLabelHDLocation;
+        /** Holds the HD location field instance. */
+        QILabel          *m_pFieldHDLocation;
+        /** Holds the HD usage label instance. */
+        QLabel           *m_pLabelHDUsage;
+        /** Holds the HD usage field instance. */
+        QILabel          *m_pFieldHDUsage;
         /** Holds the HD encryption label instance. */
         QLabel           *m_pLabelHDEncryption;
@@ -529,4 +537,12 @@
         /** Holds the CD size field instance. */
         QILabel          *m_pFieldCDSize;
+        /** Holds the CD location label instance. */
+        QLabel           *m_pLabelCDLocation;
+        /** Holds the CD location field instance. */
+        QILabel          *m_pFieldCDLocation;
+        /** Holds the CD usage label instance. */
+        QLabel           *m_pLabelCDUsage;
+        /** Holds the CD usage field instance. */
+        QILabel          *m_pFieldCDUsage;
         /** Holds the FD type label instance. */
         QLabel           *m_pLabelFDType;
@@ -537,12 +553,12 @@
         /** Holds the FD size field instance. */
         QILabel          *m_pFieldFDSize;
-        /** Holds the location label instance. */
-        QLabel           *m_pLabelLocation;
-        /** Holds the location field instance. */
-        QILabel          *m_pFieldLocation;
-        /** Holds the usage label instance. */
-        QLabel           *m_pLabelUsage;
-        /** Holds the usage field instance. */
-        QILabel          *m_pFieldUsage;
+        /** Holds the FD location label instance. */
+        QLabel           *m_pLabelFDLocation;
+        /** Holds the FD location field instance. */
+        QILabel          *m_pFieldFDLocation;
+        /** Holds the FD usage label instance. */
+        QLabel           *m_pLabelFDUsage;
+        /** Holds the FD usage field instance. */
+        QILabel          *m_pFieldFDUsage;
     /** @} */
 };